> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Currency

> A `POST` to the `/currencies` endpoint allows your application to create currency.



## OpenAPI

````yaml post /v3/currencies
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/currencies:
    post:
      tags:
        - Currency
      summary: Add Currency
      description: >-
        A `POST` to the `/currencies` endpoint allows your application to create
        currency.
      operationId: currencies.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreCurrency'
      responses:
        '200':
          description: '`Currency`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Currency'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreCurrency:
      type: object
      properties:
        from:
          type: string
          minLength: 3
          maxLength: 3
        to:
          type: string
          minLength: 3
          maxLength: 3
        rate:
          type: number
        is_system:
          type: boolean
      required:
        - from
        - to
        - rate
      title: StoreCurrency
    Currency:
      type: object
      properties:
        id:
          type: integer
        from:
          type: string
        to:
          type: string
        rate:
          type: number
        is_system:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - from
        - to
        - rate
        - is_system
        - created_at
        - updated_at
      title: Currency
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````